Update Patient

Update Patient

The latest values and timestamps of each bio-marker measurement will added to the response

Performs partial update, if a field is specified in the request it will be updated

(*)This parameter is mandatory only if its optional parent attribute is defined. Click here for more information.

Request Body Parameters:

ParameterTypeMandatoryDescriptionExample
_nameobjectfalse
_name.firstNamestringtrue(*)A person's first nameJohn
_name.lastNamestringtrue(*)A person's last nameSmith
_descriptionstringfalseA description, can be up to 5000 characters longLorem Ipsum
_emailstringfalseAn email address in the RFC-5322 specification[email protected]
_phonestringfalseAn E.164 formatted phone number+12345678901
_localestringfalseLocale in the following format: {language-ISO639}-{countryCode-ISO3166} lowercase.en-us
_genderstringfalseA persons gender Values:MALE,FEMALE,UNDISCLOSEDFEMALE
_dateOfBirthstringfalseA UTC date in the ISO-8601 format2007-12-20
_addressobjectfalse
_address.countryCodestringtrue(*)A 2-letter country code defined in ISO-3166US
_address.statestringfalseA stateMassachusetts
_address.citystringfalseA cityBoston
_address.zipCodestringfalseA zipcode02101
_address.address1stringfalseAn address11 Main St.
_address.address2stringfalseAn address's specificsEntry B, Apartment 1
_mfaobjectfalse
_mfa.enabledbooleanfalseIs mfa enabled in login
_mfa.expirationInMinutesintegerfalseMfa expiration in minutes5
_additionalPhonestringfalseAn E.164 formatted phone number+12345678901
_nationalIdstringfalseA person's national ID123456789
_canLoginbooleanfalseDetermine whether a patient has the ability to login to the system or not
_ownerOrganizationobjectfalse
_ownerOrganization.idstringtrue(*)
_caregiverobjectfalse
_caregiver.idstringtrue(*)
Path Parameters:
ParameterTypeMandatoryDescriptionExample
idstringtruePatient ID that needs to be updated3fa85f64-5717-4562-b3fc-2c963f66afa6
Query Parameters:
ParameterTypeMandatoryDescriptionExample
includeReferencersbooleanfalseOptional query parameter that controls whether the response should include referencers metadata.
When set to true, the response will contain an additional _referencers JSON node with information about entities that reference this entity (e.g. referrer template, attribute, count, etc.).
If this query parameter is not provided, a default behavior will be applied. The default value is configurable and may differ between environments.
Note: Enabling referencers information may impact performance, as additional data needs to be resolved and returned.

This API requires PROTECTED_API permission(s).

Path Params
uuid
required

Patient ID that needs to be updated

Query Params
boolean

Optional query parameter that controls whether the response should include referencers metadata.
When set to true, the response will contain an additional _referencers JSON node with information about entities that reference this entity (e.g. referrer template, attribute, count, etc.).
If this query parameter is not provided, a default behavior will be applied. The default value is configurable and may differ between environments.
Note: Enabling referencers information may impact performance, as additional data needs to be resolved and returned.

Body Params
_name
object
string

A description, can be up to 5000 characters long

string

An email address in the RFC-5322 specification

string

An E.164 formatted phone number

string

Locale in the following format: {language-ISO639}-{countryCode-ISO3166} lowercase.

string
enum

A persons gender

Allowed:
string

A UTC date in the ISO-8601 format

_address
object
_mfa
object
string

An E.164 formatted phone number

string
length between 1 and 50

A person's national ID

boolean

Determine whether a patient has the ability to login to the system or not

_ownerOrganization
object
_caregiver
object
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json